function q = cohQ(signals)
    electrode_amount = size(signals,3); 
    for a = 1:electrode_amount
        u{a} = signals(:,:,a); 
    end
    if electrode_amount == 2
        q = (u{1}-u{2})./(u{1}+u{2}); 
    elseif electrode_amount ==4
        q = (u{1}+u{3} - u{2}-u{4})./(u{1}+u{2}+u{3}+u{4});
    end
end
